*** Settings ***
Library  SeleniumLibrary  run_on_failure=Nothing

*** Variables ***
${URL}      https://git.dotya.ml/
${BROWSER}  chrome

*** Test Cases ***
just a page GET (+ screenshot)
    ${chrome_options} =     Evaluate    sys.modules['selenium.webdriver'].ChromeOptions()    sys, selenium.webdriver
    Call Method    ${chrome_options}   add_argument    headless
    Call Method    ${chrome_options}   add_argument    no-sandbox
    Call Method    ${chrome_options}   add_argument    disable-dev-shm-usage
    ${options}=     Call Method     ${chrome_options}    to_capabilities

    Set Selenium Speed  0.2
    Open Browser    ${URL}    browser=${BROWSER}  desired_capabilities=${options}

    Capture Page Screenshot

Post-conditions
    Log Location
    Close Browser
